=== debian/changelog ===
guitar (1.2.0-1) groovy; urgency=medium

  * Initial release.

 -- Chris <dpkg@chris-nz.com>  Fri, 16 Apr 2021 22:00:24 +1200
