=== debian/control ===
Source: guitar
Section: vcs
Priority: optional
Maintainer: Chris <dpkg@chris-nz.com>
Build-Depends: cmake, debhelper,
                                libqt5svg5-dev,
                                libssl-dev,
                                qtbase5-dev,
                                qttools5-dev,
                                zlib1g-dev
Standards-Version: 4.4.1
Homepage: https://github.com/soramimi/Guitar

Package: guitar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Git GUI Client
 Guitar is a git GUI in Qt5.
 .
 Guitar can do merges, inspect log and graph,
 and most other things you'd want from a GUI client.
