=== debian/changelog ===
guitar (1.2.999-1) groovy; urgency=medium

  * Improve Update deps and copyright

 -- Chris <dpkg@chris-nz.com>  Fri, 16 Apr 2021 23:41:14 +1200
