=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: vcs
 Priority: optional
 Maintainer: Chris <dpkg@chris-nz.com>
-Build-Depends: cmake, debhelper,
+Build-Depends: cmake, debhelper, git,
                                 libqt5svg5-dev,
                                 libssl-dev,
                                 qtbase5-dev,
